// Shaders for the NEw EDge by CHris "SHoD" FArcy


//****************************************
//**   		SKIES			** 
//****************************************



textures/rzq2dm2/shodq3sky
{
	qer_editorimage textures/skies/dimclouds.tga
	q3map_lightimage textures/rzq2dm2/shodlitesky1.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_lightsubdivide 128
	q3map_surfacelight 96
	q3map_sun 0.882353 0.666667 0.45098 416 60 83
	skyParms env/shodnebula1 1280 -
	{
		map textures/skies/bluedimclouds.tga
		rgbGen wave sin 0.9 0 0 1
		blendfunc add
		tcMod scale 3 3
		tcMod scroll 0.02 0.02

	}
	{
		map textures/skies/dimclouds.tga
		rgbGen wave sin 0.5 0 0 1
		blendfunc add
		tcMod scale 4 4
		tcMod scroll 0.04 0.04
	}
		
}


textures/rzq2dm2/devsky
{
	qer_editorimage textures/skies/dimclouds.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_lightsubdivide 512
	q3map_surfacelight 300
	q3map_sun 1 1 1 64 45 90
	skyParms - 1280 -
	{
		map textures/skies/inteldimclouds.tga
		rgbGen identity
		tcMod scale 4 4
		tcMod scroll 0.05 0.05
		depthWrite
	}
	{
		map textures/skies/dimclouds.tga
		blendfunc add
		rgbGen identity
		tcMod scale 4 4
		tcMod scroll 0.03 0.03
	}
}

//****************************************
//**   		WATER&FOG		** 
//****************************************


textures/rzq2dm2/shodwater
{
	qer_editorimage textures/liquids/slime7.tga
	q3map_lightimage textures/rzq2dm2/strangefx.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	nopicmip
	qer_trans 0.25
	q3map_surfacelight 256
	q3map_lightsubdivide 128
	
	{
		map textures/rzq2dm2/orgafx.tga
		blendfunc blend
		rgbGen identity
		tcMod turb 0 0.3 0 0.1
	        tcMod scroll 0.02 0.04
	        tcMod scale 0.5 0.5
	}
	
	{
		map textures/rzq2dm2/shodrefpool1.tga
		blendfunc gl_dst_color gl_one
		rgbGen identity
		tcMod scale -0.2 -0.2
		tcMod scroll 0.025 0.025
		tcMod turb 0 0.03 0 0.1
	}
	
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
	
}

textures/rzq2dm2/shodwaternodef
{
	qer_editorimage textures/liquids/pool3d_5e.tga
	q3map_lightimage textures/rzq2dm2/strangefx.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	qer_trans 0.5
	q3map_surfacelight 64
	{
		map textures/liquids/pool3d_5e.tga
		blendfunc gl_dst_color gl_one
		rgbGen identity
		tcMod scale -1 1
		tcMod scroll 0.025 0.01
	}
	{
		map textures/liquids/pool3d_3e.tga
		blendfunc gl_dst_color gl_one
		rgbGen identity
		tcMod scale 1 1
		tcMod scroll 0.025 0.025
	}
	{
		map textures/liquids/pool2.tga
		blendfunc add
		rgbGen wave sin 0.3 0.2 0 0.25 
		tcMod scroll 0.001 0.001
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
}

textures/rzq2dm2/shodfogwater
{
	qer_editorimage textures/sfx/portalfog.tga
	surfaceparm fog
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	qer_trans 0.25
	fogparms ( 0.258824 0.317647 0.258824 ) 512
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
}

textures/rzq2dm2/shodfogcold
{
	qer_editorimage textures/rzq2dm2/orgafx.tga
	q3map_lightimage textures/liquids/kc_fogcloud3.tga
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	qer_trans 0.25
	q3map_lightsubdivide 128
	q3map_surfacelight 32
	fogparms ( 0.729412 0.729412 0.772549 ) 2048
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc filter
		rgbGen identity
		tcMod scale -0.05 -0.05
		tcMod scroll 0.01 -0.01
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc filter
		rgbGen identity
		tcMod scale 0.05 0.05
		tcMod scroll 0.01 -0.01
	}
}

textures/rzq2dm2/shodfogfan
{
	qer_editorimage textures/sfx/firegorre.tga
	q3map_lightimage textures/sfx/firegorre.tga
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	qer_trans 0.25
	fogparms ( 0.75 0.38 0 ) 640
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc filter
		rgbGen identity
		tcMod scale -0.05 -0.05
		tcMod scroll 0.01 -0.01
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc filter
		rgbGen identity
		tcMod scale 0.05 0.05
		tcMod scroll 0.01 -0.01
	}
}


//****************************************
//**   		SKINS			** 
//****************************************


textures/rzq2dm2/shodsnakemouth
{
	qer_editorimage textures/gothic_block/gkc17d.tga

	{
		map textures/gothic_block/gkc17d.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}

}

//****************************************
//**   		SPAWNS			** 
//****************************************


textures/rzq2dm2/shodspawn1fx
{    
	qer_editorimage textures/rzq2dm2/shodspawn1.tga

	{
		map textures/base_wall/metalfloor_wall_15.tga
		rgbGen identity		
	}		

	{
		clampmap textures/rzq2dm2/shodtechfloor2.tga
                blendFunc filter
		rgbGen identity
	}
	{
		clampmap textures/rzq2dm2/shodrotate.tga
		rgbGen identity
                blendFunc blend
		tcMod rotate 140
		tcMod stretch sin 0.8 0.1 0 0.1
	}

	{
		clampmap textures/rzq2dm2/shodrotate.tga
		rgbGen identity
                blendFunc blend
		tcMod rotate 80
		tcMod stretch sin 0.8 0.1 0 0.1
	}
        
        
	{
		clampmap textures/rzq2dm2/shodtechfloor.tga
                blendFunc blend
		depthFunc equal
		rgbGen identity
	}
	
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
		rgbgen identity
	}
	      
}

textures/rzq2dm2/shodspawn2fx
{    
	qer_editorimage textures/rzq2dm2/shodspawn2.tga

	{
		map textures/rzq2dm2/shodfloor2.tga
		rgbGen identity		
	}		

	{
		clampmap textures/rzq2dm2/shodtechfloor2.tga
                blendFunc filter
		rgbGen identity
	}

	{
		clampmap textures/rzq2dm2/shodrotate.tga
		rgbGen identity
                blendFunc blend
		tcMod rotate 140
		tcMod stretch sin 0.8 0.1 0 0.1
	}

	{
		clampmap textures/rzq2dm2/shodrotate.tga
		rgbGen identity
                blendFunc blend
		tcMod rotate 80
		tcMod stretch sin 0.8 0.1 0 0.1
	}
        
        
	{
		clampmap textures/rzq2dm2/shodtechfloor.tga
                blendFunc blend
		depthFunc equal
		rgbGen identity
	}
	
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
		rgbgen identity
	}
	      
}

textures/rzq2dm2/shodspawn0fx
{    
	qer_editorimage textures/rzq2dm2/shodspawn0.tga

	{
		map textures/rzq2dm2/shodfloor0.tga
		rgbGen identity		
	}		

	{
		clampmap textures/rzq2dm2/shodtechfloor2.tga
                blendFunc filter
		rgbGen identity
	}

	{
		clampmap textures/rzq2dm2/shodrotate.tga
		rgbGen identity
                blendFunc blend
		tcMod rotate 140
		tcMod stretch sin 0.8 0.1 0 0.1
	}

	{
		clampmap textures/rzq2dm2/shodrotate.tga
		rgbGen identity
                blendFunc blend
		tcMod rotate 80
		tcMod stretch sin 0.8 0.1 0 0.1
	}
        
        
	{
		clampmap textures/rzq2dm2/shodtechfloor.tga
                blendFunc blend
		depthFunc equal
		rgbGen identity
	}
	
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
		rgbgen identity
	}
	
        
}


textures/rzq2dm2/shodspawn3fx
{    
	qer_editorimage textures/rzq2dm2/shodspawn3.tga

	{
		map textures/base_floor/tilefloor7_ow.tga
		rgbGen identity		
	}		

	{
		clampmap textures/rzq2dm2/shodtechfloor2.tga
                blendFunc filter
		rgbGen identity
	}

	{
		clampmap textures/rzq2dm2/shodrotate.tga
		rgbGen identity
                blendFunc blend
		tcMod rotate 140
		tcMod stretch sin 0.8 0.1 0 0.1
	}

	{
		clampmap textures/rzq2dm2/shodrotate.tga
		rgbGen identity
                blendFunc blend
		tcMod rotate 80
		tcMod stretch sin 0.8 0.1 0 0.1
	}
        
        
	{
		clampmap textures/rzq2dm2/shodtechfloor.tga
                blendFunc blend
		depthFunc equal
		rgbGen identity
	}
	
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
		rgbgen identity
	}
	
        
}


textures/rzq2dm2/shodspawn4fx
{    
     	surfaceparm	metalsteps
	qer_editorimage textures/rzq2dm2/shodspawn4.tga

	{
		map textures/rzq2dm2/shodfloor4.tga
		rgbGen identity		
	}		

	{
		clampmap textures/rzq2dm2/shodtechfloor2.tga
                blendFunc filter
		rgbGen identity
	}

	{
		clampmap textures/rzq2dm2/shodrotate.tga
		rgbGen identity
                blendFunc blend
		tcMod rotate 140
		tcMod stretch sin 0.8 0.1 0 0.1
	}

	{
		clampmap textures/rzq2dm2/shodrotate.tga
		rgbGen identity
                blendFunc blend
		tcMod rotate 80
		tcMod stretch sin 0.8 0.1 0 0.1
	}
        
        
	{
		clampmap textures/rzq2dm2/shodtechfloor.tga
                blendFunc blend
		depthFunc equal
		rgbGen identity
	}
	
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
		rgbgen identity
	}
	
        
}


//****************************************
//**   		LIGHTS			** 
//****************************************

textures/rzq2dm2/shodroundlite
{
	qer_editorimage textures/gothic_light/gothic_light2_lrg.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_light/gothic_light2_lrg.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gothic_light/gothic_light2_blend.tga
		rgbGen wave sin .3 .1 .1 .2
		blendfunc GL_ONE GL_ONE
	}
}



textures/rzq2dm2/shodbaslite
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	q3map_lightsubdivide 128

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/rzq2dm2/shodborderlight

{
	qer_editorimage textures/base_trim/border11light.tga
	q3map_surfacelight 250
	q3map_lightimage textures/base_trim/border11light.glow.tga	
	
	{
		map textures/base_trim/border11light.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/rzq2dm2/shodceil_15k
{
	qer_editorimage textures/base_light/ceil1_39.tga
	q3map_lightimage textures/base_light/ceil1_39.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		map $lightmap 
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_39.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_39.blend.tga
		blendfunc add
		rgbGen identity
	}
}

textures/rzq2dm2/shodmetalglow
{
	qer_editorimage textures/base_wall/bluemetalsupport2fline.tga
	q3map_lightimage textures/rzq2dm2/shodtesla1.tga
	q3map_surfacelight 150
	q3map_lightsubdivide 128
	
	
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/base_wall/bluemetalsupport2fline.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/rzq2dm2/shodtesla1.tga
		blendfunc add
		rgbGen wave sin 0.5 0.3 0 0.2 
		tcMod scroll 15 0
	}
}

textures/rzq2dm2/shodlight1fx
{
	qer_editorimage textures/rzq2dm2/shodlight1.tga
	surfaceparm nomarks
	q3map_surfacelight 350
	q3map_lightsubdivide 128
	
	{
		map textures/rzq2dm2/shodlight1.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/rzq2dm2/shodlight1a.tga
		blendfunc add
		rgbGen identity
	}
}

textures/rzq2dm2/shodlite2fx
{
	qer_editorimage textures/rzq2dm2/shodlite2.tga
	q3map_lightimage textures/base_light/baslt4_1.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 126
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/rzq2dm2/shodlite2.tga
		rgbGen identity
	}
	{
		map textures/rzq2dm2/shodlite2.tga
		blendfunc add
		rgbGen wave sin 0.3 0.2 0 0.25 
	}
}

textures/rzq2dm2/shodborderfx1
{
	qer_editorimage textures/rzq2dm2/shodborder1.tga
	q3map_lightimage textures/rzq2dm2/shodpulse1.tga
	q3map_surfacelight 125
	{
		map textures/rzq2dm2/shodborder1.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/rzq2dm2/shodpulse1.tga
		blendfunc add
		rgbGen identity
		tcMod scale 0.035 1
		tcMod scroll -0.65 0
	}
}


//****************************************
//**   		JUMPADS			** 
//****************************************

textures/rzq2dm2/shodjump1
{
	qer_editorimage textures/rzq2dm2/shodjump1.tga
	q3map_lightimage textures/sfx/jumppadsmall.tga
	surfaceparm nodamage
	q3map_surfacelight 400
	{
		map textures/rzq2dm2/shodjump1.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5 
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		rgbGen wave square 0.5 0.5 0.25 1.5 
		tcMod stretch sin 1.2 0.8 0 1.5 
	}
}

textures/rzq2dm2/shodjump2
{
	qer_editorimage textures/rzq2dm2/shodjump2.tga
	q3map_lightimage textures/sfx/jumppadsmall.tga
	surfaceparm nodamage
	q3map_surfacelight 400
	{
		map textures/rzq2dm2/shodjump2.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5 
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		rgbGen wave square 0.5 0.5 0.25 1.5 
		tcMod stretch sin 1.2 0.8 0 1.5 
	}
}

//****************************************
//**   		CEILING 		** 
//****************************************

textures/rzq2dm2/shodcell1
{
	qer_editorimage textures/rzq2dm2/shodtilefloor1.tga
	{
		map textures/rzq2dm2/shodtilefloor1.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
}

//****************************************
//**   		SOUNDS 			** 
//****************************************

textures/rzq2dm2/shodmetalsound1
{
	qer_editorimage textures/base_floor/clangdark.tga
	surfaceparm metalsteps
	{
		map textures/base_floor/clangdark.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
}

textures/rzq2dm2/shodmetalsoundstairs1
{
	qer_editorimage textures/base_floor/clang_floor3bstairtop.tga
	surfaceparm metalsteps
	{
		map textures/base_floor/clang_floor3bstairtop.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
}


textures/rzq2dm2/shodmetalsoundstairs2
{
	qer_editorimage textures/base_floor/clang_floor3bstairtop2.tga
	surfaceparm metalsteps
	{
		map textures/base_floor/clang_floor3bstairtop2.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
}


textures/rzq2dm2/shodgratesound1
{
	qer_editorimage textures/base_floor/clanggrate2.tga
	surfaceparm metalsteps
	{
		map textures/base_floor/clanggrate2.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
}


textures/rzq2dm2/shodgratesound2
{
	qer_editorimage textures/base_floor/clanggrate.tga
	surfaceparm metalsteps
	{
		map textures/base_floor/clanggrate.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
}





//****************************************
//**   		FX			** 
//****************************************

textures/rzq2dm2/shodpoolside
{
	qer_editorimage textures/rzq2dm2/shodtilefloor1.tga
	{
		map textures/rzq2dm2/shodrefpool1.tga
		rgbGen wave sin 0.5 0.25 0 0.3 
		tcMod scroll 0.5 0.5
		tcMod scale 0.1 0.1
	}
	{
		map textures/rzq2dm2/shodrefpool1.tga
		blendfunc add
		rgbGen wave sin 0.5 0.25 0 0.25 
		tcMod scroll -0.5 -0.5
		tcMod scale 0.1 0.1
	}
	{
		map textures/rzq2dm2/shodtilefloor1.tga
		blendfunc gl_one gl_src_color
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
}

textures/rzq2dm2/blockFX1
{
	qer_editorimage textures/rzq2dm2/shodblockfx1.tga
	q3map_lightimage textures/sfx/pentagramfloor_red_glow.tga
	q3map_surfacelight 128
	{
		map textures/rzq2dm2/shodblockfx1.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/sfx/pentagramfloor_red_glow.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 0.5 
		depthFunc equal
	}
}

	
textures/rzq2dm2/shodcoil
{
	cull none
	q3map_lightimage textures/sfx/tesla1.tga	
	qer_editorimage textures/sfx/tesla1.tga
	q3map_surfacelight 250
		
	{
		map textures/sfx/tesla1.tga
		blendfunc add
		rgbgen wave sawtooth 0 1 0 5
		tcmod scale 1 .5
		tcmod turb 0 .1 0 1
		tcMod scroll -1 -1
	}
 
	
	
	{
		map textures/sfx/electricslime.tga
		blendfunc add
		rgbgen wave sin 0 .5 0 1
		tcmod scale .5 .5
		tcmod turb 0 .1 0 1
		tcmod rotate 180
		tcmod scroll -1 -1
	}

	{
		map textures/sfx/cabletest2.tga
		blendfunc blend
	}

{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	
}



textures/rzq2dm2/shodcoil2
{
	q3map_lightimage textures/sfx/tesla1.tga	
	qer_editorimage textures/sfx/tesla1.tga
	q3map_surfacelight 500
		
	{
		map textures/sfx/tesla1.tga
		tcmod scale 1 .2
		tcmod turb 0 .1 0 1
		tcMod scroll -1 -1
	}
 
	
	
	{
		map textures/sfx/electricslime.tga
		blendfunc add
		rgbgen wave sin 0 .5 0 1
		tcmod scale .5 .5
		tcmod turb 0 .1 0 1
		tcmod rotate 180
		tcmod scroll -1 -1
	}

	{
		map textures/sfx/cabletest2.tga
		blendfunc blend
	}

{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	
}


textures/rzq2dm2/shodtechborder
{
	q3map_surfacelight 300
	q3map_lightsubdivide 128	
	qer_editorimage textures/base_trim/techborder.tga
        q3map_lightimage textures/rzq2dm2/shodtechlite1.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_trim/techborder.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/base_trim/techborder_fx.tga
                //tcmod scale  .1 1
                tcmod scroll .1 0
                
		blendfunc GL_ONE GL_ONE
	}
        {
		map textures/base_trim/techborder_fx.tga
                tcmod scale  .1 1
                tcmod scroll .1 0
                
		blendfunc GL_ONE GL_ONE
	}
}

//****************************************
//**   		NoRefmap		** 
//****************************************

textures/rzq2dm2/shodmetalsupport2c
{
	qer_editorimage textures/base_wall/bluemetalsupport2c.tga
	
	{
		map textures/base_wall/bluemetalsupport2c.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}	

textures/rzq2dm2/shodmetalsupport2c_1
{
	qer_editorimage textures/base_wall/bluemetalsupport2c_1.tga
	
	{
		map textures/base_wall/bluemetalsupport2c_1.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}	





textures/rzq2dm2/shodmetalsupport2c_1vent
{

	qer_editorimage textures/base_wall/bluemetalsupport2c_1vent.tga	

	{
		map textures/base_wall/bluemetalsupport2c_1vent.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}


textures/rzq2dm2/shodmetalsupport2clight
{
	
	qer_editorimage textures/base_wall/bluemetalsupport2clight.tga
	q3map_surfacelight 500


	{
		map textures/base_wall/bluemetalsupport2clight.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}


}

textures/rzq2dm2/shodmetalsupport2d
{
	
	qer_editorimage textures/base_wall/bluemetalsupport2d.tga
	{
		map textures/base_wall/bluemetalsupport2d.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}




textures/rzq2dm2/shodmetalsupport2d_1
{
	
	qer_editorimage textures/base_wall/bluemetalsupport2d_1.tga
	{
		map textures/base_wall/bluemetalsupport2d_1.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/rzq2dm2/shodmetalsupport2e
{
	qer_editorimage textures/base_wall/bluemetalsupport2e.tga
	
	{
		map textures/base_wall/bluemetalsupport2e.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}	
textures/rzq2dm2/shodmetalsupport2e2
{
	qer_editorimage textures/base_wall/bluemetalsupport2e2.tga
	{
		map textures/base_wall/bluemetalsupport2e2.tga
		rgbGen identity
	}

	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/rzq2dm2/shodmetalsupport2eye
{
	q3map_surfacelight 300
	q3map_lightsubdivide 128
	qer_editorimage textures/base_wall/bluemetalsupport2eye.tga
	q3map_lightimage textures/base_wall/bluemetalsupport2eyel.tga
	{
		map textures/base_wall/bluemetalsupport2eye.tga
		rgbGen identity
	}

	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
        
}


//****************************************
//**   		Crate			** 
//****************************************

textures/rzq2dm2/shodcrate1
{
    	qer_editorimage textures/base_wall/glass_frame.tga

	
	{
		map textures/base_wall/glass_frame.tga
                rgbGen identity

	}
        
	
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}

textures/rzq2dm2/shodfan

{
        qer_editorimage textures/sfx/fan_grate.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm metalsteps	
	cull none
        //nopicmip
	{
		map textures/sfx/fan_grate.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}



//****************************************
//**   		Team Arena		** 
//****************************************

textures/rzq2dm2/shodtanebula3
{
	qer_editorimage textures/rzq2dm2/shodlitesky1.tga
	q3map_lightimage textures/rzq2dm2/shodlitesky1.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_lightsubdivide 256
	q3map_surfacelight 96
	q3map_sun 0.882353 0.666667 0.45098 416 60 83
	skyParms textures/skies2/env/nebula3 1280 -
	
	{
		map textures/skies/bluedimclouds.tga
		rgbGen wave sin 0.9 0 0 1
		blendfunc add
		tcMod scale 3 3
		tcMod scroll 0.02 0.02

	}
	{
		map textures/skies/dimclouds.tga
		rgbGen wave sin 0.5 0 0 1
		blendfunc add
		tcMod scale 4 4
		tcMod scroll 0.04 0.04
	}
	
}	


textures/rzq2dm2/shodjumpTA1

{      
      qer_editorimage textures/sfx2/jumpad02.tga 
      q3map_lightimage textures/sfx2/jumpadn.tga
      surfaceparm nodamage
      q3map_surfacelight 400
        
        {
	        map textures/sfx2/jumpadn.tga
                blendFunc GL_ONE GL_ZERO
                tcmod rotate 130
                //tcMod stretch sin .7 0.5 0 .2
	        rgbGen identity
	}
        {
	        map textures/sfx2/fan01.tga
		blendFunc blend
                tcmod rotate -311
	        rgbGen identity
	}
        {
		clampmap textures/sfx2/jumpadn2.tga
		blendfunc Add
                tcmod rotate 130
		tcMod stretch sin 1.2 .8 0 1.4
		rgbGen wave square .5 .5 .25 1.4
	}
        {
		map textures/sfx2/jumpad02.tga
                blendFunc blend
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

